package com.huimv.eartag2.admin.service;


import com.huimv.eartag2.common.utils.Result;

import java.util.List;

public interface IAuthorizeService {

    Result saveAccountGroup(String accountId, String groupIds);

    Result saveGroupMenu(String groupId, String menuIds, String isAll);


    Result getMenuByGroup(String groupId);

    Result getGroupByAccount(String accountId);

    Result getAccountByGroup(String groupId);


    List getMyMenuAll(String accountName);

    List getMyButton(Integer userId);

    List getMyMenuMultilevel(String userId);

    Result getMenuByGroup1(String groupId);
}
